local L = LibStub("AceLocale-3.0"):GetLocale("NeedjaTrackerPlus", true)

function NTP:options()
    if not self._options then
        self._options = {
            type = "group",
            args = {
                general = {
                    type = "group",
                    args = {
                        enable = {
                            type = "toggle",
                            name = L.cfg_enable,
                            order = 1,
                            width = "full",
                            get = function()
                                return self.db.profile.enable
                            end,
                            set = function(_, value)
                                self.db.profile.enable = value
                            end,
                        },
                    }
                },
            }
        }
        self._options.args.profiles = LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db)
    end
    return self._options
end

function NTP:defaults()
    if not self._defaults then
        self._defaults = {
            profile = {
                enable = true,
            },
        }
    end
    return self._defaults
end
